Update a webhook

Partially updates an existing webhook subscription. Supports updating fields such as status and child organization event propagation.

Token scopes: webhooks:write

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

idstringRequired
Unique identifier of the webhook subscription.

Request

This endpoint expects an object.
statusenumOptional
Status of webhook.
Allowed values:
include_child_orgsboolean or nullOptional
When true, the webhook will also receive events from child organizations.

Response

successful operation
dataobject
The webhook subscription.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
405
Method Not Allowed Error
429
Too Many Requests Error
500
Internal Server Error